/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.staat.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QStaat extends EntityPathBase<Staat> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// CustomDataStorage
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QStaat staat = new QStaat("staat");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath customCodeStaat = createString("customCodeStaat");

  public final StringPath customCodeStaatsangehoerigkeit = createString("customCodeStaatsangehoerigkeit");

  public final BooleanPath euStaat = createBoolean("euStaat");

  public final StringPath iso3166Alpha2 = createString("iso3166Alpha2");

  public final StringPath iso3166Numerisch = createString("iso3166Numerisch");

  public final StringPath nameStaat = createString("nameStaat");

  public final StringPath nameStaatsangehoerigkeit = createString("nameStaatsangehoerigkeit");


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.customdata.entity.QCustomDataStorage customDataStorage;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QStaat(Class<? extends Staat> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.customDataStorage = inits.isInitialized("customDataStorage") ? new de.ivu.elect.business.customdata.entity.QCustomDataStorage(forProperty("customDataStorage"), inits.get("customDataStorage")) : null;// de.ivu.elect.business.customdata.entity.QCustomDataStorage.customDataStorage;
  }

  public QStaat(String variable) {
    this(Staat.class, forVariable(variable), INITS);
  }

  public QStaat(Path<? extends Staat> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QStaat(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QStaat(PathMetadata metadata, PathInits inits) {
    this(Staat.class, metadata, inits);
  }
}
